"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const uuid_1 = require("uuid");
const react_1 = __importStar(require("react"));
const utils_1 = require("./utils");
const SLDP_LIB_URL = 'https://softvelum.com/player/releases/sldp-vVERSION.min.js';
const SLDP_GLOBAL = 'SLDP';
const DEFAULT_CLASSNAME = "sldp-react-player";
const Player = ({ sldpVersion = '2.24.0', streamUrl, width, height, controls = true, autoplay = false, muted = false, wrapperId = `sldp-react-player-${(0, uuid_1.v4)()}`, sldpOptions = {
    adaptive_bitrate: {
        initial_rendition: '240p'
    },
    buffering: 500
} }) => {
    const playerInstance = (0, react_1.useRef)();
    (0, react_1.useEffect)(() => {
        (0, utils_1.getSDK)(SLDP_LIB_URL.replace('VERSION', sldpVersion), SLDP_GLOBAL).then((SLDP) => {
            playerInstance.current = SLDP.init(Object.assign({}, sldpOptions, {
                container: wrapperId,
                stream_url: streamUrl,
                autoplay,
                muted,
                height,
                width,
                controls
            }));
        });
        return () => {
            if (playerInstance.current)
                playerInstance.current.destroy();
        };
    }, [streamUrl]);
    return react_1.default.createElement("div", { id: wrapperId, className: DEFAULT_CLASSNAME });
};
exports.default = Player;
